## gate.util.persistence
Class PersistenceManager.SlashDevSlashNull

    java.lang.Object
      |
      +--gate.util.persistence.PersistenceManager.SlashDevSlashNull

All Implemented Interfaces:
  Persistence, Serializable

Enclosing class:
  PersistenceManager

public static class PersistenceManager.SlashDevSlashNull
extends Object
implements Persistence

This class is used as a marker for types that should NOT be serialised when saving the state of a gate object. Registering this type as the persistent equivalent for a specific class (via `PersistenceManager.registerPersitentEquivalent(Class , Class)`) effectively stops all values of the specified type from being serialised. Maps that contain values that should not be serialised will have that entry removed. In any other places where such values occur they will be replaced by null after deserialisation.

See Also:
  Serialized Form

Field Summary
`(package private) static long` `serialVersionUID`

Constructor Summary
`PersistenceManager.SlashDevSlashNull()`

Method Summary
`Object` `createObject()` Returns null
`void` `extractDataFromSource(Object source)` Does nothing

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

Constructor Detail

### PersistenceManager.SlashDevSlashNull

    public PersistenceManager.SlashDevSlashNull()

Method Detail

### extractDataFromSource

    public void extractDataFromSource(Object source)
                               throws PersistenceException

  Does nothing
  Specified by:
    `extractDataFromSource` in interface `Persistence`

### createObject

    public Object createObject()
                        throws PersistenceException,
                               ResourceInstantiationException

  Returns null
  Specified by:
    `createObject` in interface `Persistence`